opal/util/os_path.h File Reference.TH "opal/util/os_path.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
opal/util/os_path.h \- Creates an operating system-acceptable path name. 
.SH SYNOPSIS
.br
.PP
\fC#include 'ompi_config.h'\fP
.br
\fC#include <stdio.h>\fP
.br
\fC#include <stdarg.h>\fP
.br

.SS "Functions"

.in +1c
.ti -1c
.RI "OMPI_DECLSPEC char * \fBopal_os_path\fP (bool relative,...)"
.br
.in -1c
.SH "Detailed Description"
.PP 
Creates an operating system-acceptable path name. 

The \fBopal_os_path()\fP function takes a variable number of string arguments and concatenates them into a path name using the path separator character appropriate to the local operating system. NOTE: the string returned by this function has been malloc'd - thus, the user is responsible for free'ing the memory used by the string.
.PP
CRITICAL NOTE: The input variable list MUST be terminated by a NULL value. Failure to do this will cause the program to suffer a catastrophic failure - usually a segmentation violation or bus error.
.PP
The function calls orte_sys_info() to ensure that the path separator character has been identified. If that value cannot be identified for some reason, the function will return a NULL value. Likewise, specifying a path name that exceeds the maximum allowable path name length on the local system will result in the return of a NULL value.
.SH "Function Documentation"
.PP 
.SS "OMPI_DECLSPEC char* opal_os_path (bool relative,  ...)"
.PP
\fBParameters:\fP
.RS 4
\fIrelative\fP A boolean that specifies if the path name is to be constructed relative to the current directory or as an absolute path. If no path elements are included in the function call, then the function returns '.' for a relative path name and '<path separator char>' - the top of the directory tree - for an absolute path name. 
.br
\fIelem1,elem2,...\fP A variable number of (char *)path_elements can be provided to the function, terminated by a NULL value. These elements will be concatenated, each separated by the path separator character, into a path name and returned. 
.RE
.PP
\fBReturn values:\fP
.RS 4
\fIpath_name\fP A pointer to a fully qualified path name composed of the provided path elements, separated by the path separator character appropriate to the local operating system. The path_name string has been malloc'd and therefore the user is responsible for free'ing the field. 
.RE
.PP

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
